︠18855f25-56f1-4870-a4d5-c76035589282i︠
%html
<h1>Test sheet</h1>
<p>This is where we compute something important $a_i=1$</p>

︡6a2a7e51-7911-44c9-9fd1-7b079cd25c25︡{"html": "<h1>Test sheet</h1>\n<p>This is where we compute something important $a_i=1$</p>"}︡
︠a73a6069-854f-45ba-abe8-b0a0ec858ce4︠
x = [1,2,3,4,5,6]
print x[2:]
plot(sin,(-1,1))
︡8b05449d-a4da-4dde-8b4e-18f03f025913︡{"stdout": "[3, 4, 5, 6]"}︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠7e05079a-8003-4778-8072-75df6827aae0︠
var('x y')
density_plot(sin(x^2 + y^2) * cos(x+y^2) * sin(y), (x,-4, 4), (y,-4, 4), cmap='jet', plot_points=100).show(figsize=(6,6), frame=True)
︡a169ef47-6311-468a-be8f-9dda4381473c︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠b0314881-23f9-475e-84f7-35110a1079ce︠
stnc = 'I am a cool multiedge graph with loops'
g = DiGraph({}, loops=True, multiedges=True)
for a,b in [(stnc[i], stnc[i+1]) for i in xrange(len(stnc)-1)]:
    g.add_edge(a, b, b)
g.plot(color_by_label=True, edge_style='solid').show(figsize=(8,8))
︡71329503-6513-4b74-82fe-0085da5e7e6e︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠634304be-364c-4358-aa4e-6d1847a334f2︠
x0  = 0
f   = sin(x)*e^(-x)
p   = plot(f,-1,5, thickness=2)
dot = point((x0,f(x=x0)),pointsize=80,rgbcolor=(1,0,0))
ft = f.taylor(x,x0,5)
pt = plot(ft,-1, 5, color='green', thickness=2)
html('$f(x)\;=\;%s$'%latex(f))
html('$\hat{f}(x;%s)\;=\;%s+\mathcal{O}(x^{%s})$'%(x0,latex(ft),5+1))
show(dot + p + pt, ymin = -.5, ymax = 1)
︡7035eae1-4545-453b-9464-36b949de99f2︡{"html": "<font color='black'><span class=\"math\">f(x)\\;=\\;e^{\\left(-x\\right)} \\sin\\left(x\\right)</span></font>"}︡{"html": "<font color='black'><span class=\"math\">\\hat{f}(x;0)\\;=\\;-\\frac{1}{30} \\, x^{5} + \\frac{1}{3} \\, x^{3} - x^{2} + x+\\mathcal{O}(x^{6})</span></font>"}︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠2ffd6262-c0bd-44cb-a194-d7c612d874d1︠
var('x1 x2 w1 w2 b')
model(x1, x2) = w1*x1 + w2*x2 + b
data = [[1, 2, -1], [1, 4, -1], [2, 4, -1], [2, 1, 1], [5, 1, 1], [4, 2,
1]]
fit = find_fit(data, model, solution_dict=True); 
print fit
f(x1, x2) = model.subs(fit);
pl6 = implicit_plot(f(x1, x2) == 0, (x1, 0, 5), (x2, 0, 5))
pl1 = list_plot([(x,y) for (x,y,z) in data if z == -1], rgbcolor='red')
pl2 = list_plot([(x,y) for (x,y,z) in data if z == 1], rgbcolor ='blue') 
(pl1 + pl2 +pl6).show(xmin=0, xmax=5, ymin=0)
pl3 = plot3d(f(x1, x2), (x1, 0, 5), (x2, 0, 5))
pl4 = list_plot([(x,y) for (x,y,z) in data if z == -1], rgbcolor='red')
pl5 = list_plot([(x,y) for (x,y,z) in data if z == 1], rgbcolor='blue')
(pl3+pl4+pl5).show(xmin=0, xmax=5)
︡073cb20d-c013-4c9b-a9bb-16fbda7577ce︡︡
︠4d051be5-d2e2-40eb-806c-a2022cdc1691︠
sv = plot(lambda x : x, (x, 0, 5))
cl1 = plot(lambda x : x + 1, (x, 0, 5), linestyle='dashed')
cl2 = plot(lambda x : x - 1, (x, 0, 5), linestyle='dashed')
(sv+cl1+cl2+pl1+pl2).show(xmin=0, xmax=5)
︡d22b474e-707a-4668-adf1-bdc0a71ad8e7︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠65fbd4b3-2bfb-4ca7-9cf4-c8c67cb3e8a7︠
from libsvm import *
prob = svm_problem([1,-1],[[1,0,1],[-1,0,-1]])
param = svm_parameter(kernel_type = LINEAR, C=float(10))
m = svm_model(prob, param)
︡8fdd7f03-b851-4a94-9534-3deff7bbac2f︡{"stderr": "Traceback (most recent call last):\n  File \"<stdin>\", line 1, in <module>\n  File \"_sage_input_36.py\", line 9, in <module>\n    exec compile(ur'open(\"___code___.py\",\"w\").write(\"# -*- coding: utf-8 -*-\\n\" + _support_.preparse_worksheet_cell(base64.b64decode(\"ZnJvbSBsaWJzdm0gaW1wb3J0ICoKcHJvYiA9IHN2bV9wcm9ibGVtKFsxLC0xXSxbWzEsMCwxXSxbLTEsMCwtMV1dKQpwYXJhbSA9IHN2bV9wYXJhbWV0ZXIoa2VybmVsX3R5cGUgPSBMSU5FQVIsIEM9ZmxvYXQoMTApKQptID0gc3ZtX21vZGVsKHByb2IsIHBhcmFtKQ==\"),globals())+\"\\n\"); execfile(os.path.abspath(\"___code___.py\"))' + '\\n', '', 'single')\n  File \"\", line 1, in <module>\n    \n  File \"/tmp/tmpokA7PK/___code___.py\", line 3, in <module>\n    from libsvm import *\nImportError: No module named libsvm"}︡
︠204794c6-d7c3-4594-a05e-417f9eac3093︠
from rpy2.robjects import *
r('''

  data = data.frame(x = c(1,1,2,2,5,4), y = c(2,4,4,1,1,2), cls = c(-1,-1,-1,1,1,1))
  model = lm(cls ~ x + y, data=data)
  print(summary(model))
  
''')
︡7facda01-bd72-42e8-a6cf-1c2c9191ef8d︡{"stdout": "Call:\nlm(formula = cls ~ x + y, data = data)\n\nResiduals:\n      1       2       3       4       5       6 \n-0.6556  0.2111 -0.1148  0.5852 -0.3926  0.3667 \n\nCoefficients:\n            Estimate Std. Error t value Pr(>|t|)\n(Intercept)   0.1963     0.9478   0.207    0.849\nx             0.3259     0.1966   1.658    0.196\ny            -0.4333     0.2365  -1.832    0.164\n\nResidual standard error: 0.6106 on 3 degrees of freedom\nMultiple R-squared: 0.8136,\tAdjusted R-squared: 0.6893 \nF-statistic: 6.546 on 2 and 3 DF,  p-value: 0.08049"}︡
